
from setuptools import setup, find_packages, Extension
from distutils.sysconfig import get_python_version

import sys
import os
import os.path
import setuptools.command.bdist_egg

def run(self):
    # Generate metadata first
    self.run_command("egg_info")
    os.chdir('Source')
    os.system(sys.executable + ' setup.py configure')
    os.system('make clean')
    os.system('make')
    os.system('make egg DISTDIR="%s"' % self.dist_dir)
    os.chdir('..')              # Go back in parent directory
    # Add to 'Distribution.dist_files' so that the "upload" command works
    getattr(self.distribution,'dist_files',[]).append(
        ('bdist_egg',get_python_version(),self.egg_output))

# Monkey patch the building method with our custom one.
setuptools.command.bdist_egg.bdist_egg.run = run

name = "pysvn"

setup(
    name = name,
    version="1.5.1",
    author="Barry Scott",
    author_email="barryscott@tigris.org",
    description="Subversion support for Python",
    long_description="",
    url="http://pysvn.tigris.org/",
    license="GPL",
    keywords="subversion",
    ext_modules = [
        Extension(
            '_pysvn', [])       # This used to tell setuptools that
                                # there is native extension, but
                                # they're not build using setuptools.
    ],
    classifiers=[
        "Topic :: Software Development :: Version Control",
    ],
)   
